POST
/status/incidentsCreate a status incident or maintenance window
Publishes an incident/maintenance window and (by default) notifies subscribers
Request body
| Field | Type | Description |
|---|---|---|
kindrequired | "incident" | "maintenance" | |
titlerequired | string | |
statusrequired | "investigating" | "identified" | "monitoring" | "resolved" | "scheduled" | "in_progress" | "verifying" | "completed" | Incident lifecycle (investigating|identified|monitoring|resolved) or maintenance lifecycle (scheduled|in_progress|verifying|completed), depending on `kind`. |
impact | "none" | "minor" | "major" | "critical" | "maintenance" | Incident impact severity |
impactOverride | boolean | |
affectedComponentsrequired | object[] | |
bodyrequired | string | Body of the first status update |
scheduledStartAt | string | null | |
scheduledEndAt | string | null | |
autoStart | boolean | |
autoComplete | boolean | |
backfill | object | Creates the incident already resolved, historical; never notifies |
notifySubscribers | boolean |
Response
Status incident created
| Field | Type | Description |
|---|---|---|
idrequired | string | TypeID - a type-prefixed UUID |
kindrequired | "incident" | "maintenance" | |
titlerequired | string | |
statusrequired | "investigating" | "identified" | "monitoring" | "resolved" | "scheduled" | "in_progress" | "verifying" | "completed" | Incident lifecycle (investigating|identified|monitoring|resolved) or maintenance lifecycle (scheduled|in_progress|verifying|completed), depending on `kind`. |
impactrequired | "none" | "minor" | "major" | "critical" | "maintenance" | Incident impact severity |
impactOverriderequired | boolean | |
scheduledStartAtrequired | string | null | ISO 8601 timestamp or null |
scheduledEndAtrequired | string | null | ISO 8601 timestamp or null |
autoStartrequired | boolean | |
autoCompleterequired | boolean | |
startedAtrequired | string | ISO 8601 timestamp |
resolvedAtrequired | string | null | ISO 8601 timestamp or null |
backfilledrequired | boolean | |
notifiedAtrequired | string | null | ISO 8601 timestamp or null |
createdByrequired | string | null | |
createdAtrequired | string | ISO 8601 timestamp |
updatedAtrequired | string | ISO 8601 timestamp |
affectedComponentsrequired | object[] | |
updatesrequired | object[] |
Errors
400Validation error401UnauthorizedExample request
curl \
-X POST \
"https://feedback.quackback.io/api/v1/status/incidents" \
-H "Authorization: Bearer qb_your_api_key_here" \
-H "Content-Type: application/json" \
-d '{
"kind": "example_kind",
"title": "example_title",
"status": "example_status",
"impact": "example_impact",
"impactOverride": false,
"affectedComponents": [],
"body": "example_body",
"autoStart": false,
"autoComplete": false,
"notifySubscribers": false
}'